## connman-gtk 1.1.1%2Bgit20180626.b72c6ab

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz% https://github.com/jgke/connman-gtk/tags .*/archive/refs/tags/v?@ANY_VERSION@@ARCHIVE_EXT@

## connman-gtk 1.1.1+git20180626.b72c6ab

=== meson_options.txt ===
option('use_status_icon', type : 'boolean', value : true)
option('use_openconnect', type : 'combo', choices : ['yes', 'no', 'check', 'dynamic'], value : 'check')

=== debian/changelog ===
connman-gtk (1.1.1+git20180626.b72c6ab-3) unstable; urgency=medium

  * d/control:
    - Update standards version to 4.6.0, no changes needed.
  * d/copyright:
    - Update Source field to use non-guest repository
    - Refresh years of Debian copyright
  * d/gbp.conf:
    - Rename master branch to debian/master
  * d/patches:
    - Add patch to fix broken i18n configuration (Closes: #992589)
    - Add patch to update meson configuration
    - Add patches adding the following translations:
      - French
      - Polish
      - Turkish
      - Ukrainian
    - Add patch to refresh connman-gtk.pot with new strings
    - Add patch to refresh translations
    - Add patch to convert Finnish translation to UTF-8
    - Refresh patch correcting spelling errors in source
  * d/rules:
    - Avoid explicitly specifying -Wl,--as-needed linker flag.
  * d/s/lintian-overrides:
    - Add override for dropping upstream VCS file via Files-Excluded
  * d/watch:
    - Update pattern for GitHub archive URLs
  * d/patches: Add patch enable-status-icon
  * d/patches: Add patch fix-launch-to-tray
  * update fix launch to tray
  * moar
  * d/t/connman-gtk: Create fake $HOME for autopkgtests

 -- Nick Morrott <nickm@debian.org>  Sun, 13 Feb 2022 18:09:36 +0000

connman-gtk (1.1.1+git20180626.b72c6ab-2) unstable; urgency=medium

  * d/control:
    - Declare compliance with Debian Policy 4.5.1
    - Bump debhelper compatibility level to 13
    - Update Maintainer email address
    - Update Vcs-* URL locations
    - Add Rules-Requires-Root field, set to no
    - Refresh B-D; remove unnecessary version constraints
  * d/copyright:
    - Refresh years of Debian copyright and email address
  * d/gbp.conf:
    - Add debian-branch config
  * d/patches:
    - Update patch spelling-error-in-binary
  * d/salsa-ci.yml:
    - Add Salsa CI pipeline
  * d/t/control:
    - Mark autopkgtest as superficial (Closes: #971458)
  * d/u/metadata:
    - Remove deprecated Contact and Name fields
  * d/watch:
    - Update watchfile to use v4 substitution variables

 -- Nick Morrott <nickm@debian.org>  Sun, 07 Feb 2021 13:52:27 +0000

connman-gtk (1.1.1+git20180626.b72c6ab-1) unstable; urgency=medium

  * Initial release (Closes: #920311)

 -- Nick Morrott <knowledgejunkie@gmail.com>  Thu, 24 Jan 2019 01:23:22 +0000

=== debian/control ===
Source: connman-gtk
Section: net
Priority: optional
Maintainer: Nick Morrott <nickm@debian.org>
Build-Depends:
 connman,
 debhelper-compat (= 13),
 intltool,
 libglib2.0-dev (>= 2.50),
 libgtk-3-dev (>= 3.22),
 libopenconnect-dev,
 meson,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/jgke/connman-gtk
Vcs-Browser: https://salsa.debian.org/nickm/connman-gtk
Vcs-Git: https://salsa.debian.org/nickm/connman-gtk.git

Package: connman-gtk
Architecture: any
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 connman,
 ${misc:Depends},
 ${shlibs:Depends},
Description: fully-featured GUI for ConnMan with systray support
 connman-gtk is a fully-featured GTK3 GUI for ConnMan with system tray
 support.
 .
 connman-gtk targets all WMs/DMs. It works on any Linux WM/DM which
 provides a freedesktop-compliant system tray. (GNOME, KDE, Xfce,
 i3, awesome...)
 .
 It supports the following features provided by the ConnMan API:
 .
  * enable/disable a technology (Wired, Wi-Fi, Bluetooth, Cellular, P2P)
  * connect to/disconnect from a service
  * configure a service (IPv4, IPv6, DNS, NTP, proxies)
  * share current connection (tethering)
 .
 connman-gtk is intended as the de-facto replacement for connman-ui.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

%:
	dh $@ --buildsystem=meson

override_dh_missing:
	dh_missing --fail-missing

=== debian/tests/control ===
Depends: @
Tests: connman-gtk
Restrictions: superficial
